package ee.ut.math.tvt.salessystem.penalty.identity;

import ee.ut.math.tvt.salessystem.domain.data.Sale;
import ee.ut.math.tvt.salessystem.penalty.Penalty;
import ee.ut.math.tvt.salessystem.penalty.Strategy;
import java.util.Date;

/**
 * Strategy for no penalty.
 *
 * @author Hannes Lehemets
 *
 */
public class IdentityStrategy implements Strategy {

	/**
	 * Construct a new penalty object with penalty set to zero.
	 *
	 */
	public Penalty calculate(Sale sale, Long clientId, Date payDate) {
		// TODO Implement logic

		return null;
	}

}
