package ee.ut.math.tvt.salessystem.penalty.identity;

import ee.ut.math.tvt.salessystem.penalty.Strategy;
import ee.ut.math.tvt.salessystem.penalty.StrategyFactory;

/**
 * Strategy factory for no penalty strategy.
 *
 * @author Hannes Lehemets
 *
 */
public class IdentityStrategyFactory extends StrategyFactory {

	/*
	 * (non-Javadoc)

	 */
	@Override
	public Strategy build() {
		return new IdentityStrategy();
	}

}
