package ee.ut.math.tvt.salessystem.penalty.standard;

import ee.ut.math.tvt.salessystem.domain.data.Sale;
import ee.ut.math.tvt.salessystem.penalty.Penalty;
import ee.ut.math.tvt.salessystem.penalty.Strategy;
import ee.ut.math.tvt.salessystem.penalty.standard.model.Configuration;
import java.util.Date;


/**
 * Strategy that calculates penalty by interpreting configuration.
 *
 * @author Hannes Lehemets
 */
public class InterpreterStrategy implements Strategy {

	private Configuration configuration;

	public InterpreterStrategy(Configuration configuration) {
		this.configuration = configuration;
	}

	/**
	 * Calculate penalty using info from configuration.
	 */
	public Penalty calculate(Sale sale, Long clientId, Date payDate) {
		// TODO Implement logic. Select the most specific valid PenaltyRule from the Configuration and apply it. 

		return null;
	}

	public Configuration getConfiguration() {
		return configuration;
	}

	public void setConfiguration(Configuration configuration) {
		this.configuration = configuration;
	}

}
