package ee.ut.math.tvt.salessystem.penalty.standard.model;

import java.util.Date;

/**
 * Class describing period when certain penalty applies.
 * 
 * @author Hannes Lehemets
 */
public class Period {

  private Date startDate;
  private Date endDate;

  /**
   * @return Returns the endDate.
   */
  public Date getEndDate() {
    return endDate;
  }

  /**
   * @param endDate
   *          The endDate to set.
   */
  public void setEndDate(Date endDate) {
    this.endDate = endDate;
  }

  /**
   * @return Returns the startDate.
   */
  public Date getStartDate() {
    return startDate;
  }

  /**
   * @param startDate
   *          The startDate to set.
   */
  public void setStartDate(Date startDate) {
    this.startDate = startDate;
  }

}
