package ee.ut.math.tvt.salessystem.penalty.standard;

import ee.ut.math.tvt.salessystem.penalty.Strategy;
import ee.ut.math.tvt.salessystem.penalty.StrategyFactory;


/**
 * Strategy factory for strategies interpreting configuration.
 *
 * @author Hannes Lehemets
 *
 */
public class InterpreterStrategyFactory extends StrategyFactory {

	/**
	 * Creates a strategy that interprets configuration file to calculate
	 * penalty.
	 *
	 * Configuration file should be specified with system parameter
	 * <code>-Penalty.strategy.configuration=name.of.configuration.file</code>.
	 *
	 */
	@Override
	public Strategy build() {
		// TODO Implement strategy creation
		return null;
	}

}
