package ee.ut.math.tvt.salessystem.penalty.standard.model;

import java.math.BigDecimal;
import java.util.Collection;

/**
 * Class describing penalty rule.
 *
 * @author Anton Litvinenko
 */
public class PenaltyRule {

	private String name;
	private Long clientId;
	private Period period;
	private BigDecimal percentage;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getClientId() {
		return clientId;
	}

	public void setClientId(Long clientId) {
		this.clientId = clientId;
	}

	public Period getPeriod() {
		return period;
	}

	public void setPeriod(Period period) {
		this.period = period;
	}

  public BigDecimal getPercentage() {
    return percentage;
  }

  public void setPercentage(BigDecimal percentage) {
    this.percentage = percentage;
  }

}
